Subject: Re: Re* [PATCH] Add `[decorate]' configuration section.

From: Thomas Rast <[email-masked]>
Date: Sat, 20 Feb 2010 18:49:03 +0100

On Saturday 20 February 2010 18:17:44 Heiko Voigt wrote:
> On Wed, Feb 17, 2010 at 10:28:28AM -0800, Junio C Hamano wrote:
> > Junio C Hamano <[email-masked]> writes:
> 
> I have just seen this in Junios tree:
> 
> commit 8a3d203bd02bec48a02557961899d81da172fa23 writes:
> > Author: Junio C Hamano <[email-masked]>
[...]
> >     Once a user has this configuration in ~/.gitconfig, there needs to be a
> >     way to override it from the command line.  Add --no-decorate option to
> >     log family and also allow --decorate=no to mean the same thing.  Since
> >     we allow setting log.decorate to 'true', the command line also should
> >     accept --decorate=yes and behave accordingly.
> 
> How about calling that option --plain, --porcelain or similar and have it
> disable all configs which change the current output? Because if we can go this
> way I would actually like to add more useful configurations. For example I
> always find me typing:
> 
> git log --decorate --abbrev-commit -p
> 
> which in most situations just gives you a nicer overview.

Since 66b2ed0 (Fix "log" family not to be too agressive about showing
notes, 2010-01-20), git log --pretty=... doesn't show notes.  Perhaps
at least the 'raw' format should also implicitly disable other user
configuration, including this?

-- 
Thomas Rast
trast@{inf,student}.ethz.ch